﻿
Partial Class _Default
    Inherits System.Web.UI.Page

    Private Const VWSTATE_CURRTABNAME As String = "VwStCurrTabName"
    Private Property CurrTabName() As String
        Get
            If ViewState(VWSTATE_CURRTABNAME) IsNot Nothing Then
                Return CType(ViewState(VWSTATE_CURRTABNAME), String)
            Else
                Return String.Empty
            End If
        End Get
        Set(ByVal value As String)
            ViewState(VWSTATE_CURRTABNAME) = value
        End Set
    End Property

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            CurrTabName = "tab1"
        End If
    End Sub

    Protected Sub ViewTab_Clicked(ByVal sender As Object, ByVal e As EventArgs)
        Dim lb As LinkButton = DirectCast(sender, LinkButton)
        Dim ul As HtmlGenericControl = upnlMap.FindControl("tpViewTabList")
        Dim li As HtmlGenericControl

        Select Case CurrTabName
            Case "tab1"
                pnlTab1.Visible = False
            Case "tabMap"
                pnlMap.Visible = False
            Case "tab2"
                pnlTab2.Visible = False
        End Select

        li = ul.FindControl(CurrTabName)
        If li IsNot Nothing Then
            li.Attributes("class") = "tab inactivetab"
        End If

        li = DirectCast(lb.Parent, HtmlGenericControl)
        li.Attributes("class") = "tab activetab"

        CurrTabName = li.ID
        Select Case CurrTabName
            Case "tab1"
                pnlTab1.Visible = True
            Case "tabMap"
                pnlMap.Visible = True
                ctlMyMap.RefreshMap()
            Case "tab2"
                pnlTab2.Visible = True
        End Select
    End Sub

End Class
